Name:           mine_detector
Version:        6.0
Release:        22%{?dist}
Summary:        Mine Detector, a mine-finding game
Summary(sv):    Mine Detector, ett minröjningsspel

Group:          Amusements/Games
License:        GPLv2
URL:            http://pragmada.x10hosting.com/mindet.html
Source1:        http://pragmada.x10hosting.com/mine_detector_6.0_src.zip
Source2:        mine_detector.gpr
Source3:        mine_detector.desktop
# The license file was left out from the zipfile by mistake. Source4 corrects
# this mistake. Sources 5 and 6 clarify the situation.
Source4:        mine_detector-license.txt
Source5:        mine_detector-README.Fedora
Source6:        mine_detector-license_clarification.mbox
# manual page stub:
Source7:        mine_detector.1.en
Source8:        mine_detector.1.sv
# Patch to adapt to GTKada 2.24.2 without breaking compatibility with 2.18.0,
# proposed upstream by email 2012-07-06:
Patch1:         mine_detector-6.0-gtkada-2.24.2.patch

BuildRequires:  gcc-gnat PragmARC-devel GtkAda-devel desktop-file-utils
BuildRequires:  fedora-gnat-project-common >= 3
# Build only on architectures where gcc-gnat is available:
ExclusiveArch:  %{GNAT_arches}

%description
Mine Detector is a mine-finding game with somewhat different rules from other
mine-finding games. Mine Detector rarely requires guessing. Only at the higher
levels may guessing sometimes be the only way to win.

%description -l sv
Mine Detector är ett minröjningsspel med litet annorlunda regler än andra
minröjningsspel. I Mine Detector är det sällan nödvändigt att gissa. Det är
bara på de högre nivåerna som en gissning ibland kan vara det enda sättet att
vinna.


%prep
%setup -c -T
unzip %{SOURCE1}
cp -p %{SOURCE2} .
cp -p %{SOURCE4} license.txt
cp -p %{SOURCE5} README.Fedora
cp -p %{SOURCE6} license_clarification.mbox
%patch1


%build
gnatmake -P mine_detector.gpr %{Gnatmake_optflags}


%install
mkdir --parents %{buildroot}%{_bindir} \
                %{buildroot}%{_mandir}/man1 %{buildroot}%{_mandir}/sv/man1
cp -p mine_detector %{buildroot}%{_bindir}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE3}
cp -p %{SOURCE7} %{buildroot}%{_mandir}/man1/mine_detector.1
cp -p %{SOURCE8} %{buildroot}%{_mandir}/sv/man1/mine_detector.1


%check
%{_rpmconfigdir}/check-rpaths


%files
%doc license.txt
%doc README.Fedora
%doc license_clarification.mbox
%{_bindir}/*
%{_datadir}/applications/*
%{_mandir}/man1/*
%{_mandir}/sv/man1/*


%changelog
* Sat Feb 07 2015 Björn Persson <bjorn@rombobjörn.se> - 6.0-22
- Rebuilt with GCC 5.0.0.

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 10 2014 Björn Persson <bjorn@rombobjörn.se> - 6.0-19
- Rebuilt with GCC 4.9.0 prerelease.

* Sun Sep 01 2013 Björn Persson <bjorn@rombobjörn.se> - 6.0-18
- Rebuilt with PragmARC-20130728.

* Sat Aug 03 2013 Björn Persson <bjorn@rombobjörn.se> - 6.0-17
- Build only on architectures where gcc-gnat is available.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 03 2013 Björn Persson <bjorn@rombobjörn.se> - 6.0-15
- Added a manual page stub.

* Mon May 13 2013 Björn Persson <bjorn@rombobjörn.se> - 6.0-14
- Rebuilt with PragmARC-20130311.

* Thu Jan 24 2013 Björn Persson <bjorn@rombobjörn.se> - 6.0-13
- Rebuilt with GCC 4.8.

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul 06 2012 Björn Persson <bjorn@rombobjörn.se> - 6.0-11
- Added a patch to adapt to an API change in GTKada 2.24.2.

* Thu Jan 05 2012 Björn Persson <bjorn@rombobjörn.se> - 6.0-10
- Rebuilt with GCC 4.7.

* Mon Aug 15 2011 Björn Persson <bjorn@rombobjörn.se> - 6.0-9
- Trying again to rebuild with GtkAda-2.18.0.

* Sun Aug 14 2011 Björn Persson <bjorn@rombobjörn.se> - 6.0-8
- Rebuilt with GtkAda-2.18.0.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 24 2011 Björn Persson <bjorn@rombobjörn.se> - 6.0-6
- Removed a workaround that is no longer needed.

* Wed Jan 19 2011 Björn Persson <bjorn@rombobjörn.se> - 6.0-5
- Rebuilt with GtkAda-2.14.1.

* Thu Jul 08 2010 Björn Persson <bjorn@rombobjörn.se> - 6.0-4
- Rebuilt with GCC 4.5.

* Tue Jan 26 2010 Björn Persson <bjorn@rombobjörn.se> - 6.0-3
- Clarified the license situation.
- All source file names begin with "mine_detector".

* Mon Nov 09 2009 Björn Persson <bjorn@rombobjörn.se> - 6.0-2
- Fixed to link libgnat and libgcc dynamically.

* Sat Aug 08 2009 Björn Persson <bjorn@rombobjörn.se> - 6.0-1
- Updated to version 6.0.
- Dropped the two patches.
- The license was changed in version 6.0 from GPLv2+ to GPLv2.
- Updated the URLs because the PragmAda site moved.

* Thu Jul 23 2009 Björn Persson <bjorn@rombobjörn.se> - 5.0-2
- Added a BuildRoot tag even though it's unnecessary.

* Sun Jun 28 2009 Björn Persson <bjorn@rombobjörn.se> - 5.0-1
- ready to be submitted for review
